It is currently Tue May 22, 2012 10:29 pm

All times are UTC + 2 hours




Post new topic Reply to topic  [ 78 posts ]  Go to page 1, 2, 3, 4, 5, 6  Next
Author Message
 Post subject: [How to] Installation OpenERP v6.x.x on Ubuntu server 10.04
PostPosted: Sun Jan 30, 2011 8:01 pm 
Offline

Joined: Mon Jan 10, 2011 9:14 am
Posts: 121
Because of the lack of correct and up to date information (how to install OpenERP on Ubuntu server for a production environment) I have written this "How to".
I have updated the script for OpenERP version 6.0.2

The configuration:
Manual installation of the openerp-server and the openerp-web server (OpenERP v6.0.2) on the same servermachine, with a fresh installed Ubuntu 10.0.4 LTS server (64 bit). Install only the openssh server, make no serversystem updates after the server installation.
The result of this installation is an automatic boot-up of the OpenERP servers (application and webserver).
The Ubuntu user must have root rights.

The backup and restore function in the openerp-web client works with this procedure (thanks to the remarks of Zasavage).

See the installation script for version 6.0.2 here:
https://docs.google.com/document/d/1d1j ... ey=CJrYxAw

See the installation script for version 6.0.1 here:
https://docs.google.com/document/d/1mXC ... y=CPaR_vUF

To install OpenERP in a virtual environment see this post:
topic25626.html
Read also the advantages compared to the installation procedure described in this How to.
If you have remarks please post them here, it can help me too.

Please let me know if you have used the script and if you were succesfull.

_________________
Ubuntu server 10.04 LTS (64 bit)
OpenERP v.6.0.2 with openerp-web client


Last edited by Telesight on Tue Jun 07, 2011 9:55 pm, edited 15 times in total.

Top
 Profile  
 
 Post subject: Re: [How to] Installation OpenERP v6.x.x on Ubuntu server 10
PostPosted: Wed Feb 02, 2011 1:14 am 
Offline

Joined: Fri Sep 17, 2010 3:01 am
Posts: 9
You may post it in other forums and place a link here.


Top
 Profile  
 
 Post subject: Re: [How to] Installation OpenERP v6.x.x on Ubuntu server 10
PostPosted: Wed Feb 02, 2011 1:32 am 
Offline

Joined: Wed Sep 29, 2010 5:42 am
Posts: 7
Another option is create a PDF file or Presentation or Script file and share the file in

http://www.4shared.com/
or
http://www.box.net/
or
http://docs.google.com/

And make it public shared and post the link here. It will benefit everyone.


Top
 Profile  
 
 Post subject: Re: [How to] Installation OpenERP v6.x.x on Ubuntu server 10
PostPosted: Wed Feb 09, 2011 2:04 pm 
Offline

Joined: Wed Feb 09, 2011 11:51 am
Posts: 1
Hello,

I'm installing OpenERP on Ubuntu server 10.04 folwing your procedure.

I came across 2 problems (twice the same I guess) in the scripts to launch the daemon.

in the first script for the Openerp-server daemon, I get the error:
Code:
145: /proc/cat/: unexpected operator failed.

in the second script for the Openerp-web daemon, I get the error:
Code:
147: /proc/cat/: unexpected operator failed.


These 2 errors point on the script line containing esac...

Do you now how I can correct this error?

Excepted these 2 errors, Openerp is well installed and functional.
Thanks!


Top
 Profile  
 
 Post subject: Re: [How to] Installation OpenERP v6.x.x on Ubuntu server 10
PostPosted: Thu Feb 17, 2011 12:09 pm 
Offline

Joined: Mon Jan 10, 2011 9:14 am
Posts: 121
Vivi:

I have not seen these errors myself, although I have installed several times according to this installation procedure.
This script is also used by others without errors. So at the moment I don't know what is going wrong in your installation.

_________________
Ubuntu server 10.04 LTS (64 bit)
OpenERP v.6.0.2 with openerp-web client


Top
 Profile  
 
 Post subject: Re: [How to] Installation OpenERP v6.x.x on Ubuntu server 10
PostPosted: Thu Feb 17, 2011 3:52 pm 
Offline

Joined: Tue Aug 31, 2010 3:41 pm
Posts: 77
Hello,

why you don't use the .deb files for ubuntu :

http://www.openerp.com/download/stable/deb/openerp-server_6.0.1-0_all.deb

http://www.openerp.com/download/stable/deb/openerp-client_6.0.1-0_all.deb

it will do all required config.


Top
 Profile  
 
 Post subject: Re: [How to] Installation OpenERP v6.x.x on Ubuntu server 10
PostPosted: Thu Feb 17, 2011 4:56 pm 
Offline

Joined: Wed Feb 02, 2011 3:52 pm
Posts: 5
Thanks for providing the information.

When I tried I got the following message

86:Function:not found mean?

Code:
me@my-laptop:/home/openerp/openerp-server-6.0.1$ sudo /etc/init.d/openerp-server  start
/etc/init.d/openerp-server: 86: Function: not found
Starting openerp-server: done.
me@laptop:/home/openerp/openerp-server-6.0.1$ sudo /etc/init.d/openerp-server  status
/etc/init.d/openerp-server: 86: Function: not found
Checking openerp-server: running.


Contents of /etc/init.d/openerp-server
Quote:
! /bin/sh
### BEGIN INIT INFO
# Provides: openerp-server
# Required-Start: $syslog
# Required-Stop: $syslog
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: OpenERP Server - the server
# Description: OpenERP is a complete ERP and CRM software
### END INIT INFO
PATH=/sbin:/usr/sbin:/bin:/usr/bin:/usr/local/bin
DESC=openerp-server
NAME=openerp-server
DAEMON=/usr/local/bin/openerp-server
# Specify the user name (Default: openerp).
USER="openerp"
# Specifty an alternate config file (Default: ~/.openerp_serverrc)
CONFIGFILE="/home/openerp/.openerp_serverrc"
# pidfile
PIDFILE=/var/run/$NAME.pid
# Additional options that are passed to the Daemon
DAEMON_OPTS="-c $CONFIGFILE"
# Exit if the package is not installed
[ -x "$DAEMON" ] || exit 0
[ -f $CONFIGFILE ] || exit 0
checkpid() {
[ -f $PIDFILE ] || return 1
pid=`cat $PIDFILE`
[ -d /proc/$pid ] && return 0
return 1
}
# function that starts the daemon/service
#
if [ -f /lib/lsb/init-functions ] || [ -f /etc/gentoo-release ];then
do_start() {
start-stop-daemon --start --quiet --pidfile $PIDFILE \
--chuid $USER --background --make-pidfile \
--exec $DAEMON -- $DAEMON_OPTS
RETVAL=$?
sleep 5 # wait for few seconds
return $RETVAL
}
##
Function that stops the daemon/service
do_stop() {
start-stop-daemon --stop --quiet --pidfile $PIDFILE --oknodo
RETVAL=$?
sleep 2 # wait for few seconds
rm -f $PIDFILE # remove pidfile
return $RETVAL
}
do_restart() {
start-stop-daemon --stop --quiet --pidfile $PIDFILE --oknodo
sleep 2 # wait for few seconds
rm -f $PIDFILE # remove pidfile
start-stop-daemon --start --quiet --pidfile $PIDFILE \
--chuid $USER --background --make-pidfile \
--exec $DAEMON -- $DAEMON_OPTS
RETVAL=$?
sleep 5 # wait for few seconds
return $RETVAL
}
else
do_start() {
$DAEMON $DAEMON_OPTS > /dev/null 2>&1 &
RETVAL=$?
sleep 5 # wait for few seconds
echo $! > $PIDFILE # create pidfile
return $RETVAL
}
do_stop() {
pid=`cat $PIDFILE`
kill -15 $pid
RETVAL=$?
sleep 2 # wait for few seconds
rm -f $PIDFILE # remove pidfile
return $RETVAL
}
do_restart() {
if [ -f $PIDFILE ]; then
do_stop
fi
do_start
return $?
}
fi
start_daemon() {
if [ -f $PIDFILE ]; then
echo "pidfile already exists: $PIDFILE"
exit 1
fi
echo -n "Starting $DESC: "
do_start
checkpid
if [ $? -eq 1 ]; then
rm -f $PIDFILE
echo "failed."
exit 1
fi
echo "done."
}
stop_daemon() {
checkpid
if [ $? -eq 1 ]; then
exit 0
fi
echo -n "Stopping $DESC: "
do_stop
if [ $? -eq 1 ]; then
echo "failed."
exit 1
fi
echo "done."
}
restart_daemon() {
echo -n "Reloading $DESC: "
do_restart
checkpid
if [ $? -eq 1 ]; then
rm -f $PIDFILE
echo "failed."
exit 1
fi
echo "done."
}
status_daemon() {
echo -n "Checking $DESC: "
checkpid
if [ $? -eq 1 ]; then
echo "stopped."
else
echo "running."
fi
}
case "$1" in
start) start_daemon ;;
stop) stop_daemon ;;
restart|force-reload) restart_daemon ;;
status) status_daemon ;;
*)
N=/etc/init.d/$NAME
echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
exit 1
;;
esac
exit 0


What does 86:Function:not found mean?


Thanks


Top
 Profile  
 
 Post subject: Re: [How to] Installation OpenERP v6.x.x on Ubuntu server 10
PostPosted: Thu Feb 17, 2011 6:36 pm 
Offline

Joined: Mon Jan 10, 2011 9:14 am
Posts: 121
Ammar:
Because there is no openerp-web client in that, and that is just what a lot of people need if you want to have a webenabled application.

_________________
Ubuntu server 10.04 LTS (64 bit)
OpenERP v.6.0.2 with openerp-web client


Top
 Profile  
 
 Post subject: Re: [How to] Installation OpenERP v6.x.x on Ubuntu server 10
PostPosted: Sun Feb 20, 2011 1:05 pm 
Offline

Joined: Sat Feb 19, 2011 7:33 pm
Posts: 2
Hi,

First thanxs for that awesome tut... just perfect :p

But as you guess, I'm writting because i got an issue. Everything ran well till the end but when i'm trying to connect for the first time there is no database listed on the first page (maybe it's ok) but when i try to create one i get the "Super-User password incorrect" :(

I tried everything as the password, from the shell root pass to the openerp user / db pass...

I've seen two things in the tuts that i've may have done wrong... first should i do something regarding to the file "/etc/openerp-server.conf" as said :
Quote:
; Please uncomment the following line *after* you have created the
; database. It activates the auto module check on startup.


Secondly when i ran that cmd :
Code:
chown -R openerp /etc/openerp-web.cfg

It said that the file didn't exists, so i 'touched' it and everything goes wel after that but maybe something went wrong.

Any idea ??? Thanks a lot for any response :p


Top
 Profile  
 
 Post subject: Re: [How to] Installation OpenERP v6.x.x on Ubuntu server 10
PostPosted: Sun Feb 20, 2011 1:12 pm 
Offline

Joined: Sat Feb 19, 2011 7:33 pm
Posts: 2
Mea Culpa... I've just noticed that i forgot to change the password in the openerp-server.conf file !!!
Fixed it and everything goes now well... for now lol

Thanks,


Top
 Profile  
 
 Post subject: Re: [How to] Installation OpenERP v6.x.x on Ubuntu server 10
PostPosted: Sun Feb 20, 2011 5:17 pm 
Offline

Joined: Thu Sep 23, 2010 9:29 pm
Posts: 251
Location: Leeseringen, Germany
We updated our VM to 6.0.1 (Server & Web Client), with all security updates to the underlaying Ubuntu 10.04, of course, and put it online again.
Because of previous problems with OVA, we exported to VMware Player 2.5 format, but don't let the specified version detain you from trying. It should work fine in any newer player, workstation 6.5+, ESX(i) 3.5+, and even other virtual machines like VirtualBox.

It should be available soon on http://www.vmware.com/appliances/directory/642983 (awaits approval).
You can already download from http://vmware.bremskerl.de/OpenERP6.0.1 ... yer2.5.zip

Usernames are openerp, Passwords OpenERP. Feedback welcome, as always!

After feedback tested successful with: ESXi 4.0 (via VMware Converter), VirtualBox (3.2.8, Windows 7 64bit host. Of course VMware tools won't work.)

_________________
Light travels faster than sound.
That is why some people appear bright until you hear them speak.


Top
 Profile  
 
 Post subject: Re: [How to] Installation OpenERP v6.x.x on Ubuntu server 10
PostPosted: Wed Feb 23, 2011 7:45 am 
Offline

Joined: Wed Feb 23, 2011 7:32 am
Posts: 1
Hello,

I'm new in this forum either in ubuntu server.

I managed to install openerp server 6.0.1 in ubuntu server 10.04 lts following the instructions in yuor tuturial but I couldn't install the daemon. The problem is when I write the command "sudo nano /etc/init.d/openerp-server", it creates a new file but I don't know if I have to type all the lines commands of the daemon, is there any way to copy and paste these lines?, may be it's not a very smart question but I'm stuck in this point. Thank you very much in advance for your help.


Top
 Profile  
 
 Post subject: Re: [How to] Installation OpenERP v6.x.x on Ubuntu server 10
PostPosted: Wed Feb 23, 2011 8:08 am 
Offline

Joined: Sat Feb 19, 2011 8:06 pm
Posts: 109
newidea wrote:
Hello,

I'm new in this forum either in ubuntu server.

I managed to install openerp server 6.0.1 in ubuntu server 10.04 lts following the instructions in yuor tuturial but I couldn't install the daemon. The problem is when I write the command "sudo nano /etc/init.d/openerp-server", it creates a new file but I don't know if I have to type all the lines commands of the daemon, is there any way to copy and paste these lines?, may be it's not a very smart question but I'm stuck in this point. Thank you very much in advance for your help.


Download the tutorial, save it as odt document, open it with OOo Writer. Copy the line you need (it may say the doc is protected and will open a new one, this is ok, then you will be able to copy) then, to past in the cli window, either right click paste or you can also use "ctrl-shift v"


Top
 Profile  
 
 Post subject: Re: [How to] Installation OpenERP v6.x.x on Ubuntu server 10
PostPosted: Wed Feb 23, 2011 10:34 am 
Offline

Joined: Fri May 28, 2010 10:33 am
Posts: 409
For my installation, the files are here:

http://www.malagatic.com/blog/item/download/10

Customize the files for your needs (username, password, . . .)


You can see the post:

http://www.malagatic.com/blog/item/27-i ... u-1004-lts

(spanish link, but same files, and work ok)

_________________
Formación online OpenERP - Programación módulos - Apoyo instalación
http://www.malagatic.com @malagatic


Top
 Profile  
 
 Post subject: Re: [How to] Installation OpenERP v6.x.x on Ubuntu server 10
PostPosted: Wed Feb 23, 2011 6:47 pm 
Offline

Joined: Wed Jul 07, 2010 12:02 pm
Posts: 23
Location: Landes
Hello

I installed several times OpenERP v6 and now when I want to upgrade the server, the command
Code:
sudo python setup.py install

give me
Code:
Traceback (most recent call last):
  File "setup.py", line 47, in <module>
    execfile(join('bin', 'release.py'))
IOError: [Errno 2] No such file or directory: 'bin/release.py'


And its true! The tree trunk has completely changed compared to the stable release.
What happened?

Thank you for your answers


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 78 posts ]  Go to page 1, 2, 3, 4, 5, 6  Next

All times are UTC + 2 hours


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum

Search for:

Protected by Anti-Spam ACP